## fglrx-driver 14.9+ga14.201

=== debian/changelog ===
fglrx-driver (1:14.9+ga14.201-2) unstable; urgency=medium

  * amd-libopencl1: Fix symbols file.  (Closes: #763636)
  * amd-libopencl1: Remove obsolete shlibs file that prevented proper
    dependency generation for amd-clinfo.
  * d/libfglrx.{preinst,templates}: Use more debconf substitution variables to
    allow sharing the translations with nvidia-driver and easy switching to
    different legacy drivers.
  * Adjust all debconf translations to use the substitution variables.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 21 Oct 2014 15:23:24 +0200

fglrx-driver (1:14.9+ga14.201-1) unstable; urgency=medium

  * This release is made of 14.6~ga14.201-1. The upload of 14.9-1 was an error
    and is not compatible with xorg 1.16! I am sorry.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 09 Oct 2014 20:05:33 +0200

fglrx-driver (1:14.9-1) unstable; urgency=medium

  * New upstream release.
    Closes: #764523
  * Bump Standards-Version to 3.9.6 (no changes required).
  * Add some more spelling-error-in-binary lintian overrides.
  * Overwrite false positive version-substvar-for-external-package lintian
    errors.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 09 Oct 2014 18:52:58 +0200

fglrx-driver (1:14.6~ga14.201-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream beta release 14.6-beta-v1.0-jul11 (2014-07-14) (14.20).
    (Closes: #759338)
  * amd-opencl-dev: Add missing Breaks/Replaces for taking over libOpenCL.so
    symlink.  (Closes: #760376)

  [ Patrick Matthäi ]
  * Add turkish debconf translation.
    Closes: #757496
  * New upstream release provided by AMD with xserver 1.16 support. The full
    release name is 14.4.2+GA14.201.1006.1002.
    - Drop merged linux3.14 patch.
    - Provide xorg-video-abi-18.
      Closes: #754249
  * Uploading to unstable.
  * Remove unused override from amd-opencl-icd package.
  * Improve amd-opencl-icd short description a little bit to fix the lintian
    warning description-is-pkg-name.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 17 Sep 2014 19:04:14 +0200

fglrx-driver (1:14.6~betav1.0-1) experimental; urgency=medium

  [ Michael Gilbert ]
  * New upstream beta release 14.6-beta-v1.0-may23 (2014-0?-??) (14.20).
    (Closes: #749973)

  [ Andreas Beckmann ]
  * Update list of supported models.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 08 Jun 2014 20:46:09 +0000

fglrx-driver (1:14.4.2-1) unstable; urgency=medium

  * New upstream release 14.4-rev2 (2014-05-23) (14.10.1006.1001).
  * Use the signature from 14.4.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 24 May 2014 15:39:45 +0200

fglrx-driver (1:14.4-2) unstable; urgency=medium

  * linux3.14.patch: New patch, add support for Linux 3.14.  (Closes: #746162)
  * Drop Breaks: make (= 3.82-1), fixed in make/experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 30 Apr 2014 20:05:02 +0200

fglrx-driver (1:14.4-1) unstable; urgency=medium

  * New upstream release 14.4 (2014-04-25) (14.10.1006).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 28 Apr 2014 22:15:24 +0200

fglrx-driver (1:14.4~rc1.0.apr17-1) unstable; urgency=medium

  * New upstream release candidate 14.4-rc-v1.0-apr17 (2014-04-21) (14.10).
  * libfglrx.preinst: Unify case before comparing PCI IDs, thanks to
    Jo Shields.  (Closes: #742452)
  * Fix upgrades from multiarch-enabled wheezy to jessie by converting
    fglrx-driver Breaks: libgl1-fglrx-glx (>> this) into
    libgl1-fglrx-glx Breaks: fglrx-driver (<< this) which apt (from wheezy)
    seems to cope much better with, thanks to Simon McVittie
    (Closes: #745622).
  * 10-iommu.patch: Remove, fixed upstream.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 23 Apr 2014 17:16:24 +0200

fglrx-driver (1:14.3~beta1.0-1) unstable; urgency=medium

  * New upstream beta release 14.3-beta v1.0 (closes: #742234).
    - Fixes xorg segfault issues (closes: #739054).
  * Remove debian/substvars in clean rule.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 21 Mar 2014 03:48:09 +0000

fglrx-driver (1:14.2~beta1.3-1) unstable; urgency=medium

  * New upstream beta release 14.2-beta v1.3 (2014-02-25) (13.35.1005).
    (Closes: #740182)
  * get-orig-source: Use 'wget --referer www.amd.com' for downloading.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 28 Feb 2014 13:21:13 +0100

fglrx-driver (1:14.1~beta1.3-1) unstable; urgency=medium

  * New upstream beta release 14.1-beta v1.3 (2014-02-01) (13.35.1005).
    (Closes: #738622, #708577)
    - AMD A10-7850K, AMD A10-7700K
    - Xserver 1.15 support
    - Kernel 3.13 support
  * amd-libopencl1: Now supports OpenCL 2.0, too.
  * linux3.9.patch, linux3.12.patch, linux3.13.patch: Remove, fixed upstream.
  * Add xorg-video-abi-15 as alternate dependency.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 13 Feb 2014 14:56:04 +0100

fglrx-driver (1:13.12-4) unstable; urgency=medium

  * Collect more package information when reporting bugs.
  * Restore libgl1-fglrx-glx-i386 package.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 30 Jan 2014 02:26:24 +0100

fglrx-driver (1:13.12-3) unstable; urgency=medium

  * Fix IOMMU checks (closes: #729765).
  * Remove transitional libgl1-fglrx-glx-i386 package.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 05 Jan 2014 14:12:53 +0000

fglrx-driver (1:13.12-2) unstable; urgency=medium

  * Add a manpage for atigetsysteminfo.
  * Support linux 3.11 (closes: #729765).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 04 Jan 2014 19:11:42 +0000

fglrx-driver (1:13.12-1) unstable; urgency=medium

  * New upstream stable release:
    - Virtual consoles work again (closes: #712527).
  * Apply patches to support linux up to 3.13 (closes: #729765).

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 31 Dec 2013 02:22:07 +0000

fglrx-driver (1:13.11~betav9.4-1) experimental; urgency=low

  * New upstream beta release 13.11-beta V9.4 (2013-11-22) (13.25.18).
  * Enable building the libgl1-fglrx-glx-i386 package.


