=== debian/watch ===
version=3
opts="uversionmangle=s/-beta/~beta/;s/-/./g" \
http://support.amd.com/us/gpudownload/linux/Pages/radeon_linux.aspx .*/amd-driver-installer-(?:catalyst-)?(.*).linux-x86.x86_64.(?:run|zip)
