## fglrx-driver 15.9

=== debian/changelog ===
fglrx-driver (1:15.9-4~deb8u2) jessie; urgency=medium

  * libfglrx-amdxvba1: Add Breaks+Replaces: xvba-va-driver (<< 0.8.0-9+deb)
    since we now ship fglrx_drv_video.so and xvba_drv_video.so.
    (Closes: #813427)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 23 Mar 2016 03:00:47 +0100

fglrx-driver (1:15.9-4~deb8u1) jessie; urgency=medium

  * Rebuild for jessie.
  * Reinstate the libxvbaw-dev package.
  * Remove Conflicts/Replaces: xvba-va-driver.
  * Revert patches 12-4.3.0-build and 13-4.4.0-build, the patched kernel
    module does not work on Linux 4.3. (See #809638 for details.)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 16 Jan 2016 00:56:43 +0100

fglrx-driver (1:15.9-4) unstable; urgency=medium

  * Fix spelling error in long description.
  * Add patch 06-spelling-error-manpage to fix a spelling error in atieventsd
    manpage.
  * Add patch 13-4.4.0-build from Ubuntu to fix a FTBFS with Linux 4.4.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 14 Jan 2016 09:59:54 +0100

fglrx-driver (1:15.9-3) unstable; urgency=high

  [ Andreas Beckmann ]
  * d/rules: Move tar option --no-recursion before the list of files.
  * fglrx-atieventsd.init: Fix 'stop' and implement 'status', thanks to
    D. Leggett.  (Closes: #803494)
  * Reinstate breaks between fglrx-driver and libgl1-fglrx-glx.
  * Update lintian overrides.

  [ Patrick Matthäi ]
  * Add Ubuntu patch 12-4.3.0-build.
    Closes: #807965

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 31 Dec 2015 11:16:59 +0100

fglrx-driver (1:15.9-2) unstable; urgency=medium

  * amd-opencl-icd: Ship libamdocl12cl{32,64}.so.  (Closes: #793488)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 04 Oct 2015 19:58:49 +0200

fglrx-driver (1:15.9-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release 15.9 (2015-09-15) (15.201.1151).  (Closes: #799439)
  * Fixes CVE-2015-7724.  (Closes: #803517)
  * Use signature from 15.7.
  * Update watch file.
  * Update lintian overrides.

  [ Patrick Matthäi ]
  * Refresh patch 04-3.17rc6-no_hotplug.
  * Rewrite patch 05-4.0.0-build.
  * Drop merged patch 06-4.0.0-build-2.
  * Rewrite patch 07-4.1.0-build.
  * Rewrite patch 08-4.2.0-build.
  * Rewrite patch 09-4.2.0-build.fpregs_active.
  * Rewrite patch 10-4.2.0-build.copy_xregs_to_kernel.
  * Rewrite patch 11-4.1.0-gpl-only.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 27 Sep 2015 11:15:57 +0200

fglrx-driver (1:15.7-3) unstable; urgency=high

  * Add patch 11-4.1.0-gpl-only to finaly allow fglrx to build with Linux 4.1.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 01 Sep 2015 19:08:32 +0200

fglrx-driver (1:15.7-2) unstable; urgency=high

  [ Andreas Beckmann ]
  * Drop libxvbaw-dev package.
  * fglrx-driver, fglrx-kernel-*: Report in the package description the latest
    tested Linux version that can build the kernel module.

  [ Patrick Matthäi ]
  * Add Ubuntu patch 06-4.0.0-build-2.
  * Add Ubuntu patch 07-4.1.0-build to fix a FTBFS with Linux 4.1.
    Closes: #795222, #795230
  * Add Ubuntu patches 08-4.2.0-build, 09-4.2.0-build.fpregs_active and
    10-4.2.0-build.copy_xregs_to_kernel so fglrx may work with Linux 4.2.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 01 Sep 2015 10:20:16 +0200

fglrx-driver (1:15.7-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * libfglrx-amdxvba1: Can be used as a va-driver backend.
    - Provides: va-driver since libXvBAW.so.1 now contains the required
      entrypoints.
    - Conflicts/Provides/Replaces: xvba-va-driver since that wrapper is no
      longer needed.
    - Ship dri/{xvba,fglrx}_drv_video.so symlinks.
  * Update list of supported models.
  * Create /usr/src/fglrx.tar.bz2 reproducibly.

  [ Patrick Matthäi ]
  * New upstream release 15.7 (2015-07-0?) (15.20.1046).
    Closes: #791905
    - Refresh hunky patch 04-3.17rc6-no_hotplug.
    - Rewrite patch 05-4.0.0-build.
    - Xorg 1.17 is supported now.
      Closes: #784903
  * Fixes CVE-2015-7723.
  * Use signature from upstream package.
  * Remove breaks between fglrx-driver and libgl1-fglrx-glx, since it confuses
    dpkg.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 09 Jul 2015 20:08:02 +0200

fglrx-driver (1:15.5-1) unstable; urgency=low

  * New upstream release 15.5 (2015-06-02) (15.101.1001).
    Closes: #790794
    - Adjust some lintian overrides.
  * Updated dutch translation from Frans Spiesschaert.
    Closes: #776756
  * Adjust patch 05-4.0.0-build so it works again.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 07 Jul 2015 16:42:47 +0200

fglrx-driver (1:14.12-2) unstable; urgency=low

  [ Andreas Beckmann ]
  * fglrx_3.17rc6-no_hotplug.patch: New patch, add support for Linux >= 3.17.
    Found in the kanotix package.  (Closes: #768397)

  [ Michael Gilbert ]
  * Remove myself from the uploaders list.

  [ Patrick Matthäi ]
  * Uploading to unstable.
  * Rename patches (correct order).
  * Add patch 05-4.0.0-build from Michael Rasmussen to fix a FTBFS with Linux
    4.0.0. Thanks!
    Closes: #785150
  * Remove unused lintian override.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 21 May 2015 19:56:10 +0200

fglrx-driver (1:14.12-1) experimental; urgency=medium

  * New upstream release 14.12 (2014-12-09) (14.501.1003).  (Closes: #764523)
  * Update watch file, thanks to Bart Martens.
  * amd-opencl-dev: Bump the Breaks/Replaces on nvidia-libopencl1 to cover new
    upstream releases of nvidia-graphics-drivers-legacy-304xx in wheezy.
  * New Dutch (nl) debconf translation thanks to Frans Spiesschaert.
    (Closes: #767493)
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 17 Dec 2014 22:22:23 +0100
