=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Maintainer: Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>
 Uploaders:
  Patrick Matthäi <pmatthaei@debian.org>,
- Michael Gilbert <mgilbert@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends:
  debhelper (>= 9),
@@ -26,7 +25,7 @@
  po-debconf,
 Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-fglrx/fglrx-driver/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-fglrx/fglrx-driver/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-fglrx/fglrx-driver/trunk/
 XS-Autobuild: yes
 Homepage: http://support.amd.com/en-us/download/desktop?os=Linux%20x86
 
@@ -47,7 +46,7 @@
  ${fglrx}-atieventsd,
 Suggests:
  ${fglrx}-control,
- xvba-va-driver,
+ lib${fglrx}-amdxvba1,
  amd-opencl-icd${fglrx:Variant},
 Provides:
  xorg-driver-video,
@@ -72,6 +71,8 @@
  The driver can work with plain MESA libGL, but some applications may require
  the proprietary libGL. This library is shipped in the
  libgl1-${fglrx}-glx package.
+ .
+ Building the kernel module has been tested up to Linux ${fglrx:kmod:tested:Linux}.
 
 # lib${fglrx}
 Package: libfglrx
@@ -116,12 +117,17 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Provides:
+ va-driver,
  libxvbaw1,
+ xvba-va-driver,
 Conflicts:
  libxvbaw1,
+Breaks:
+ xvba-va-driver (<< 0.8.0-9+deb),
 Replaces:
  libxvbaw1,
-Description: AMD XvBA (X-Video Bitstream Acceleration) runtime libraries${fglrx:VariantDescSuffix}
+ xvba-va-driver (<< 0.8.0-9+deb),
+Description: AMD XvBA (X-Video Bitstream Acceleration) backend for VA API${fglrx:VariantDescSuffix}
  X-Video Bitstream Acceleration (XvBA), designed by AMD for its (ATI) Radeon GPU
  and Fusion APU, is an arbitrary extension of the X video extension (Xv) for the
  X Window System on Linux operating-systems. XvBA API allows video programs to
@@ -131,7 +137,7 @@
  variable-length decoding (VLD) for MPEG-2, MPEG-4 AVC (H.264) and VC-1 encoded
  video.
  .
- This package contains the runtime libraries.
+ This package contains the runtime libraries and VA API backend.
 
 Package: libxvbaw-dev
 Section: non-free/libdevel
@@ -191,7 +197,7 @@
  libgl1-${fglrx}-glx,
  ${shlibs:Depends},
  ${misc:Depends}
-Description: ATI/AMD binary OpenGL 32-bit libraries${nvidia:LegacyDesc}
+Description: ATI/AMD binary OpenGL 32-bit libraries${fglrx:VariantDescSuffix}
  This metapackage helps the automatic installation of the 32-bit ATI/AMD
  OpenGL libraries when installing libgl1-${fglrx}-glx
  on amd64 with foreign architecture i386 enabled.
@@ -223,6 +229,8 @@
  .
  This package contains the source for the fglrx kernel module, packaged with
  appropriate configuration for DKMS to build new modules dynamically.
+ .
+ Building the kernel module has been tested up to Linux ${fglrx:kmod:tested:Linux}.
 
 # ${fglrx}-source
 Package: fglrx-source
@@ -250,6 +258,8 @@
  .
  This package contains the source for the fglrx kernel module for use with
  module-assistant or make-kpkg or other manual build methods.
+ .
+ Building the kernel module has been tested up to Linux ${fglrx:kmod:tested:Linux}.
 
 # ${fglrx}-control
 Package: fglrx-control
@@ -300,7 +310,7 @@
  The ATI External Events Daemon atieventsd is a user-level application
  that monitors various system events such as ACPI or hotplug, then
  notifies the driver via the X extensions interface that the event has
- occured.
+ occurred.
  .
  This package provides the atieventsd daemon.
 
@@ -388,11 +398,11 @@
 Replaces:
  opencl-dev,
  amd-libopencl1 (<< 1:13.4-4~),
- nvidia-libopencl1 (<< 304.88-7~),
+ nvidia-libopencl1 (<< 305~),
  ocl-icd-libopencl1 (<< 2.1.3-5~),
 Breaks:
  amd-libopencl1 (<< 1:13.4-4~),
- nvidia-libopencl1 (<< 304.88-7~),
+ nvidia-libopencl1 (<< 305~),
  ocl-icd-libopencl1 (<< 2.1.3-5~),
 Description: AMD OpenCL development files
  OpenCL (Open Computing Language) is a multi-vendor open standard for
@@ -411,9 +421,3 @@
 Homepage: http://developer.amd.com/resources/heterogeneous-computing/opencl-zone/
 Description: AMD OpenCL info utility
  OpenCL (Open Computing Language) is a multivendor open standard for
- general-purpose parallel programming of heterogeneous systems that include
- CPUs, GPUs and other processors.
- .
- This package contains the clinfo utility provided by AMD. It reports status
- information for all ICDs (installable client drivers) that are installed in
- the system.
