=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 packagename		:= $(shell dpkg-parsechangelog | sed -nr '/^Source:/s/Source: (.*)/\1/p')
 upstream_version	:= $(shell dpkg-parsechangelog | sed -nr '/^Version:/s/Version: (.*:)?(.*)-(.*)/\2/p')
+BUILD_DATE		:= $(shell dpkg-parsechangelog --show-field=Date)
 
 DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
@@ -15,6 +16,7 @@
 variant_desc_suffix	?=
 fglrx			?= fglrx$(variant)
 XORG_ABI_LIST		?=
+LINUX_KMOD_TESTED	?=
 
 ifeq ($(DEB_HOST_ARCH),amd64)
 arch=x86_64
@@ -138,10 +140,17 @@
 		$(badlib64files)
 	test ! -f debian/lib$(fglrx)-amdxvba1/$(libdir)/libAMDXvBA.so.1.0 || \
 		rpl -e 'libAMDXvBA.cap' '$(cap)' debian/lib$(fglrx)-amdxvba1/$(libdir)/libAMDXvBA.so.1.0
+	chmod -R a-sx,u=rwX,go=rX debian/$(fglrx)-source/usr/src/modules
 	chmod a+x debian/$(fglrx)-source/usr/src/modules/$(fglrx)/debian/rules
-	tar cfj debian/$(fglrx)-source/usr/src/$(fglrx).tar.bz2 \
-		--owner=root --group=src --remove-files \
-		--directory debian/$(fglrx)-source/usr/src/ modules
+	find 'debian/$(fglrx)-source/usr/src/modules' -depth -newermt '$(BUILD_DATE)' -print0 | \
+		xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
+	(cd debian/$(fglrx)-source/usr/src && find modules -print0) | \
+	    LC_ALL=C sort -z | \
+	    tar cfj debian/$(fglrx)-source/usr/src/$(fglrx).tar.bz2 \
+		--owner=root --group=src \
+		--directory debian/$(fglrx)-source/usr/src/ \
+		--no-recursion --null -T -
+	$(RM) -r debian/$(fglrx)-source/usr/src/modules
 	mv debian/$(fglrx)-control/usr/sbin/atigetsysteminfo.sh \
 		debian/$(fglrx)-control/usr/sbin/atigetsysteminfo
 
@@ -173,6 +182,7 @@
 		-V'fglrx:Version=$(subst ~,-,$(upstream_version))' \
 		-V'fglrx:Variant=$(variant)' \
 		-V'fglrx:VariantDescSuffix=$(variant_desc_suffix)' \
+		-V'fglrx:kmod:tested:Linux=$(strip $(or $(LINUX_KMOD_TESTED_$(DEB_HOST_ARCH)),$(LINUX_KMOD_TESTED),???))' \
 		-Vfglrx:Info="`cat debian/control.info`" \
 		-Vfglrx:Models="`cat debian/control.models`"
 
@@ -199,9 +209,3 @@
 INSTALLER_SUFFIX.run	?= $(INSTALLER_SUFFIX)
 INSTALLER_ZIP		?= $(INSTALLER_PREFIX.zip)-$(UPSTREAM_VERSION.zip)$(if $(INSTALLER_SUFFIX.zip),-)$(INSTALLER_SUFFIX.zip).zip
 INSTALLER		?= $(INSTALLER_PREFIX.run)-$(UPSTREAM_VERSION.run)$(if $(INSTALLER_SUFFIX.run),-)$(INSTALLER_SUFFIX.run).run
-URL_PATH		?= www2.ati.com/drivers/$(if $(findstring beta,$(NEW_UPSTREAM_VERSION)),beta,linux)
-CACHEDIR		?= /tmp
-NEW_UPSTREAM_VERSION	?= $(patsubst VER=%,%,$(filter VER=%,$(DEB_BUILD_OPTIONS)))
-UPSTREAM_VERSION.zip	?= $(or $(patsubst ZVER=%,%,$(filter ZVER=%,$(DEB_BUILD_OPTIONS))),$(NEW_UPSTREAM_VERSION))
-UPSTREAM_VERSION.run	?= $(or $(patsubst RVER=%,%,$(filter RVER=%,$(DEB_BUILD_OPTIONS))),$(NEW_UPSTREAM_VERSION))
-INTERNAL_VERSION	:= $(shell test ! -s $(INSTALLER) || sh $(INSTALLER) --info | sed -n '/^Identification:/ s/[^0-9]*//p')
