=== debian/watch ===
version=3
opts="uversionmangle=s/-beta/~beta/" \
http://support.amd.com/en-us/download/desktop\?os=Linux\+x86 \
.*/amd(?:-driver-installer)?(?:-catalyst)?(?:-omega)?-(.*)(?:[-.]linux(?:-installer)(?:-[0-9.]+)-x86.x86_64|-linux-run-installers).(?:run|zip)
