## fglrx-driver 15.12

=== debian/changelog ===
fglrx-driver (1:15.12-2~bpo8+4) jessie-backports; urgency=medium

  * Take 4.9_over_4.6-arch-get_user_pages_remote.patch,
    4.10-arch-sling00-virtual_address-acpi_get_table_with_size.patch,
    4.11-npfeiler-signal_vmf.patch from Arch Linux to fix support for newer
    Linux kernels.  (Closes: #860825)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 01 Jul 2017 03:14:39 +0200

fglrx-driver (1:15.12-2~bpo8+3) jessie-backports; urgency=medium

  * Take 4.6-arch-get_user_pages-page_cache_release.patch and
    4.7-arch-cpu_has_pge-v2.patch from Arch Linux to fix support for newer
    Linux kernels in a backward-compatible way.  (Closes: #834732, #835392)
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Sep 2016 12:38:52 +0200

fglrx-driver (1:15.12-2~bpo8+2) jessie-backports; urgency=medium

  * Add trival patch for 4.6.0 build.  (Closes: #829036)

 -- Aron Xu <aron@debian.org>  Sun, 14 Aug 2016 20:38:24 +0800

fglrx-driver (1:15.12-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 29 Jan 2016 23:02:37 +0100

fglrx-driver (1:15.12-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 22 Jan 2016 16:34:54 +0100

fglrx-driver (1:15.12-1) experimental; urgency=medium

  * New upstream release 15.12 (2015-12-18) (15.302).
    (Closes: #807575, #809638)
  * get-orig-source: Generate tarball reproducibly.
  * Use signature from 15.7.
  * amd-libopencl1: Now supports OpenCL 2.1, too.
  * Drop patches 04-3.17rc6-no_hotplug, 05-4.0.0-build, 07-4.1.0-build,
    08-4.2.0-build, 09-4.2.0-build.fpregs_active, 11-4.1.0-gpl-only: fixed
    upstream.
  * Disable patch 10-4.2.0-build.copy_xregs_to_kernel: seems to be no longer
    necessary.
  * Drop support for squeeze-backports.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 18 Jan 2016 01:25:23 +0100

fglrx-driver (1:15.9-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Aron Xu <aron@debian.org>  Thu, 07 Jan 2016 17:57:19 +0800

fglrx-driver (1:15.9-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 12 Oct 2015 15:58:19 +0200

fglrx-driver (1:15.9-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 04 Oct 2015 11:01:02 +0200

fglrx-driver (1:15.7-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 11 Sep 2015 20:57:16 +0200
