=== debian/control ===
--- 
+++ 
@@ -122,11 +122,10 @@
  xvba-va-driver,
 Conflicts:
  libxvbaw1,
-Breaks:
- xvba-va-driver (<< 0.8.0-9+deb),
+ xvba-va-driver,
 Replaces:
  libxvbaw1,
- xvba-va-driver (<< 0.8.0-9+deb),
+ xvba-va-driver,
 Description: AMD XvBA (X-Video Bitstream Acceleration) backend for VA API${fglrx:VariantDescSuffix}
  X-Video Bitstream Acceleration (XvBA), designed by AMD for its (ATI) Radeon GPU
  and Fusion APU, is an arbitrary extension of the X video extension (Xv) for the
@@ -139,24 +138,6 @@
  .
  This package contains the runtime libraries and VA API backend.
 
-Package: libxvbaw-dev
-Section: non-free/libdevel
-Architecture: i386 amd64
-Depends:
- lib${fglrx}-amdxvba1 (= ${binary:Version}),
- ${misc:Depends}
-Description: AMD XvBA (X-Video Bitstream Acceleration) development files${fglrx:VariantDescSuffix}
- X-Video Bitstream Acceleration (XvBA), designed by AMD for its (ATI) Radeon GPU
- and Fusion APU, is an arbitrary extension of the X video extension (Xv) for the
- X Window System on Linux operating-systems. XvBA API allows video programs to
- offload portions of the video decoding process to the GPU video-hardware.
- Currently, the portions designed to be offloaded by XvBA onto the GPU are
- motion compensation (MC) and inverse discrete cosine transform (IDCT), and
- variable-length decoding (VLD) for MPEG-2, MPEG-4 AVC (H.264) and VC-1 encoded
- video.
- .
- This package contains the development files.
-
 # libgl1-${fglrx}-glx
 Package: libgl1-fglrx-glx
 Section: non-free/libs
@@ -362,6 +343,7 @@
  libopencl-1.1-1,
  libopencl-1.2-1,
  libopencl-2.0-1,
+ libopencl-2.1-1,
 Conflicts:
  libopencl1,
  amd-app,
@@ -421,3 +403,9 @@
 Homepage: http://developer.amd.com/resources/heterogeneous-computing/opencl-zone/
 Description: AMD OpenCL info utility
  OpenCL (Open Computing Language) is a multivendor open standard for
+ general-purpose parallel programming of heterogeneous systems that include
+ CPUs, GPUs and other processors.
+ .
+ This package contains the clinfo utility provided by AMD. It reports status
+ information for all ICDs (installable client drivers) that are installed in
+ the system.
