=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,6 @@
 DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 include debian/rules.defs
-MULTIARCH		?=
 SIGNATURE_VERSION	?=
 variant			?=
 variant_desc_suffix	?=
@@ -30,7 +29,7 @@
 cap=AMDXvBAx86.cap
 endif
 
-libdir		 = usr/lib$(if $(MULTIARCH),/$(DEB_HOST_MULTIARCH))
+libdir		 = usr/lib/$(DEB_HOST_MULTIARCH)
 sigdir		 = $(if $(filter $(upstream_version),$(SIGNATURE_VERSION)),debian/import,common/etc/ati)
 xorg_depends	 = $(foreach abi, $(XORG_ABI_LIST), xorg-video-abi-$(abi) |)
 
@@ -188,17 +187,6 @@
 
 ############################################################################
 
-prepare-squeeze-backport:
-	echo 8 > debian/compat
-	sed -i -e '/^MULTIARCH/ s/^/#/' debian/rules.defs
-	sed -i -e 's/debhelper (>= 9.*)/debhelper (>= 8.1.0~)/' \
-	       -e '/^Multi-Arch:/ d' debian/control
-	sed -i -e '/fglrx_dri.so/ s/^/#/' debian/fglrx-driver.links.in
-	debchange --bpo "Disable multiarch build."
-	debchange "Reduce Build-Depends: debhelper and compat level to 8."
-
-############################################################################
-
 ifneq (,$(filter VER=%,$(DEB_BUILD_OPTIONS)))
 WGET			?= wget --referer www.amd.com
 INSTALLER_PREFIX	?= amd-catalyst
@@ -209,3 +197,8 @@
 INSTALLER_SUFFIX.run	?= $(INSTALLER_SUFFIX)
 INSTALLER_ZIP		?= $(INSTALLER_PREFIX.zip)-$(UPSTREAM_VERSION.zip)$(if $(INSTALLER_SUFFIX.zip),-)$(INSTALLER_SUFFIX.zip).zip
 INSTALLER		?= $(INSTALLER_PREFIX.run)-$(UPSTREAM_VERSION.run)$(if $(INSTALLER_SUFFIX.run),-)$(INSTALLER_SUFFIX.run).run
+URL_PATH		?= www2.ati.com/drivers/$(if $(findstring beta,$(NEW_UPSTREAM_VERSION)),beta,linux)
+CACHEDIR		?= /tmp
+NEW_UPSTREAM_VERSION	?= $(patsubst VER=%,%,$(filter VER=%,$(DEB_BUILD_OPTIONS)))
+UPSTREAM_VERSION.zip	?= $(or $(patsubst ZVER=%,%,$(filter ZVER=%,$(DEB_BUILD_OPTIONS))),$(NEW_UPSTREAM_VERSION))
+UPSTREAM_VERSION.run	?= $(or $(patsubst RVER=%,%,$(filter RVER=%,$(DEB_BUILD_OPTIONS))),$(NEW_UPSTREAM_VERSION))
